> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rippit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List datasets

> Lists your datasets.



## OpenAPI

````yaml /api-reference/bulk-openapi.json get /bulk_ingest/datasets
openapi: 3.1.0
info:
  title: Rippit Bulk API
  version: 2.0.0
servers:
  - url: https://integrations.rippit.com/api/v2
security:
  - bearer: []
paths:
  /bulk_ingest/datasets:
    get:
      tags:
        - bulk_ingest
      summary: List datasets
      description: Lists your datasets.
      operationId: get_datasets_bulk_ingest_datasets_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DatasetInfo'
                title: Response Get Datasets Bulk Ingest Datasets Get
components:
  schemas:
    DatasetInfo:
      properties:
        dataset_id:
          type: integer
          title: Dataset Id
        name:
          type: string
          title: Name
        label:
          type: string
          title: Label
          description: Display name in Rippit. Defaults to `name`.
        description:
          type: string
          title: Description
        pkey_cols:
          items:
            type: string
          type: array
          title: Pkey Cols
        append_only_dataset:
          type: boolean
          title: Append Only Dataset
        updated_at_col:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At Col
        created_at:
          type: string
          format: date-time
          title: Created At
        table_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Table Url
          description: Opens the table in Rippit.
      type: object
      required:
        - dataset_id
        - name
        - label
        - description
        - pkey_cols
        - append_only_dataset
        - updated_at_col
        - created_at
        - table_url
      title: DatasetInfo
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.